org.apache.kylin.jdbc

## Class KylinMetaImpl.MetaColumn

- java.lang.Object
- - org.apache.kylin.jdbc.KylinMetaImpl.MetaColumn

Enclosing class:
  KylinMetaImpl

    public static class KylinMetaImpl.MetaColumn
    extends Object

Metadata describing a column.

### Field Summary

Fields
`int` `bufferLength`
`int` `charOctetLength`
`String` `columnDef`
`String` `columnName`
`int` `columnSize`
`int` `dataType`
`int` `decimalDigits`
`String` `isAutoincrement`
`String` `isGeneratedcolumn`
`String` `isNullable`
`static List<net.hydromatic.avatica.ColumnMetaData>` `meta`
`int` `nullable`
`int` `numPrecRadix`
`int` `ordinalPosition`
`String` `remarks`
`String` `scopeCatalog`
`String` `scopeTable`
`int` `sourceDataType`
`int` `sqlDataType`
`int` `sqlDatetimeSub`
`String` `tableCat`
`String` `tableName`
`String` `tableSchem`
`String` `typeName`

### Constructor Summary

Constructors
Constructor and Description

`KylinMetaImpl.MetaColumn(String tableCat, String tableSchem, String tableName, String columnName, int dataType, String typeName, int columnSize, int bufferLength, int decimalDigits, int numPrecRadix, int nullable, String remarks, String columnDef, int sqlDataType, int sqlDatetimeSub, int charOctetLength, int ordinalPosition, String isNullable, String scopeCatalog, String scopeTable, int sourceDataType, String isAutoincrement, String isGeneratedcolumn)`

### Method Summary

Methods
`List<? extends org.apache.kylin.jdbc.KylinMetaImpl.Node>` `getChildren()` Get direct children of the node.
`String` `getName()` Get the node name
`List<? extends org.apache.kylin.jdbc.KylinMetaImpl.Node>` `searchByPatterns(net.hydromatic.avatica.Meta.Pat... patterns)` Search the subtree of the node with patterns.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### meta

    public static final List<net.hydromatic.avatica.ColumnMetaData> meta

#### tableCat

    public final String tableCat

#### tableSchem

    public final String tableSchem

#### tableName

    public final String tableName

#### columnName

    public final String columnName

#### dataType

    public final int dataType

#### typeName

    public final String typeName

#### columnSize

    public final int columnSize

#### bufferLength

    public final int bufferLength

#### decimalDigits

    public final int decimalDigits

#### numPrecRadix

    public final int numPrecRadix

#### nullable

    public final int nullable

#### remarks

    public final String remarks

#### columnDef

    public final String columnDef

#### sqlDataType

    public final int sqlDataType

#### sqlDatetimeSub

    public final int sqlDatetimeSub

#### charOctetLength

    public final int charOctetLength

#### ordinalPosition

    public final int ordinalPosition

#### isNullable

    public final String isNullable

#### scopeCatalog

    public final String scopeCatalog

#### scopeTable

    public final String scopeTable

#### sourceDataType

    public final int sourceDataType

#### isAutoincrement

    public final String isAutoincrement

#### isGeneratedcolumn

    public final String isGeneratedcolumn

### Constructor Detail

#### KylinMetaImpl.MetaColumn

    public KylinMetaImpl.MetaColumn(String tableCat,
                            String tableSchem,
                            String tableName,
                            String columnName,
                            int dataType,
                            String typeName,
                            int columnSize,
                            int bufferLength,
                            int decimalDigits,
                            int numPrecRadix,
                            int nullable,
                            String remarks,
                            String columnDef,
                            int sqlDataType,
                            int sqlDatetimeSub,
                            int charOctetLength,
                            int ordinalPosition,
                            String isNullable,
                            String scopeCatalog,
                            String scopeTable,
                            int sourceDataType,
                            String isAutoincrement,
                            String isGeneratedcolumn)

### Method Detail

#### getName

    public String getName()

Get the node name

Returns:

#### getChildren

    public List<? extends org.apache.kylin.jdbc.KylinMetaImpl.Node> getChildren()

Get direct children of the node.

Returns:

#### searchByPatterns

    public List<? extends org.apache.kylin.jdbc.KylinMetaImpl.Node> searchByPatterns(net.hydromatic.avatica.Meta.Pat... patterns)

Search the subtree of the node with patterns. One pattern, one level.

Returns: